SIMATIC S7 MatLab Toolbox

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
PlcOperand Class Reference

Represents an operand which addresses a specific memory block within a programmable logic controller (PLC). More...

Inheritance diagram for PlcOperand:

## Public Member Functions
function get | Number (in this)
| Gets the number associated with the operand.
function get | Type (in this)
| Gets the type of operand represented.

## Static Public Member Functions
static function | DataBlock (in number)
| Retrieves the according PlcOperand of the type PlcOperandType.DataBlock using the specified number of the data block operand. More...
static function | Of (in type)
| Retrieves the according PlcOperand which matches the PlcOperandType specified. More...

## Public Attributes
Constant Property | Counter = PlcOperand
| The operand used to access the counter memory block of the controller.
Constant Property | Flag = PlcOperand
| The operand used to access the flag memory block of the controller.
Constant Property | Input = PlcOperand
| The operand used to access the input memory block of the controller.
Constant Property | Output = PlcOperand
| The operand used to access the output memory block of the controller.
Constant Property | PeripheryInput = PlcOperand
| The operand used to access the periphery input memory block of the controller.
Constant Property | PeripheryOutput = PlcOperand
| The operand used to access the periphery output memory block of the controller.
Constant Property | Timer = PlcOperand
| The operand used to access the time memory block of the controller.
Property | Number
| Gets the number associated with the operand. The value -1 if the PlcOperand.Type is unequals to PlcOperandType.DataBlock; otherwise a number within the range defined by MinNumber and MaxNumber.
Property | Type
| Gets the type of operand represented. One of the members defined by the PlcOperandType enumeration.
Property | ManagedInstance
| This property is not intended to be used outside of the toolbox.

## Detailed Description

Represents an operand which addresses a specific memory block within a programmable logic controller (PLC).

## Member Function Documentation

## ◆ DataBlock()

static function PlcOperand::DataBlock | ( | in | number | ) |
| static

Retrieves the according PlcOperand of the type PlcOperandType.DataBlock using the specified number of the data block operand.

Parameters

  number | The number of the data block to retrieve.

Return values

  value | The PlcOperand of a specific data block.

Errors

- The number is out of the bounds defined by MinNumber or MaxNumber.

## ◆ Of()

static function PlcOperand::Of | ( | in | type | ) |
| static

Retrieves the according PlcOperand which matches the PlcOperandType specified.

Parameters

  type | The PlcOperandType of the PlcOperand to retrieve.

Return values

  value | The PlcOperand which matches the type.

Errors

- The type is either a PlcOperandType.DataBlock or is an unknown PlcOperandType.

The documentation for this class was generated from the following file:

- PlcOperand.m